<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<div class="catalog-overview">
    <div class="catalog-overview-details">
        <div class="catalog-overview-block">
            <div class="catalog-overview-actions">
                <?php echo $this->partial('module/_catalog-item-actions.phtml', ['package' => $this->package]); ?>
            </div>
            <div class="catalog-overview-content clearfix">
                <div class="catalog-overview-info">
                    <div class="catalog-overview-icon"><img src="<?php echo $this->escape($this->package['icon']) ?>" alt=""></div>
                    <h3>
                        <span class="catalog-overview-name">
                            <?php echo $this->escape($this->package['name']) ?>
                        </span>
                        <span class="catalog-overview-version">
                            <?php echo $this->lmsg('packageVersion', ['version' => $this->escape("{$this->package['version']}-{$this->package['release']}")]) ?>
                        </span>
                    </h3>
                </div>
                <div class="catalog-overview-description">
                    <p><b><?php echo $this->lmsg('packageDescription') ?></b></p>

                    <p><?php echo $this->escape($this->package['description']) ?></p>
                </div>
                <div class="catalog-overview-screenshots">
                    <div class="catalog-overview-screenshots-wrap">
                        <div class="catalog-overview-img">
                        <?php foreach ($this->package['screenshots'] as $screenshot): ?>
                            <a href="#" data-src="<?php echo $this->escape($screenshot['screenshot']) ?>">
                                <img src="<?php echo $this->escape($screenshot['thumbnail']) ?>" alt="">
                            </a>
                        <?php endforeach ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="application/javascript">
//<![CDATA[
Jsw.onReady(function() {
    $$('.catalog-overview-img a').invoke('observe', 'click', function(e) {
        e.preventDefault();
        new Jsw.Popup({
            title: <?php echo $this->jsLmsg('packageScreenshot') ?>,
            content: '<img src="' + this.readAttribute('data-src') + '" alt="" width="1024px" height="768px">',
            closeButtonEnabled: true
        });
    });
});
//]]>
</script>